Subject: Re: linux-next: manual merge of the mlx5-next tree with Linus' tree

From: Leon Romanovsky <[email-masked]>
Date: Tue, 2 Jul 2019 07:03:05 +0300

On Tue, Jul 02, 2019 at 01:13:27PM +1000, Stephen Rothwell wrote:
> Hi all,
>
> Today's linux-next merge of the mlx5-next tree got a conflict in:
>
>   drivers/net/ethernet/mellanox/mlx5/core/eswitch_offloads.c
>
> between commit:
>
>   955858009708 ("net/mlx5e: Fix number of vports for ingress ACL configuration")
>
> from Linus' tree and commit:
>
>   062f4bf4aab5 ("net/mlx5: E-Switch, Consolidate eswitch function number of VFs")
>
> from the mlx5-next tree.
>
> I fixed it up (I just used the latter version) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

Thanks Stephen,

I expect this conflict will vanish once both rdma and netdev pull
mlx5-next branch, which is based on -rc2.

Thanks

> --
> Cheers,
> Stephen Rothwell